Subject: [AAA-WG]: Question about RADIUS/Diameter gateway

From: Bernard Aboba <[email-masked]>
Date: Thu, 11 Mar 2004 07:52:26 -0800 (PST)

In looking at the RADIUS/Diameter gateway specification again, it seems
like it is not able to handle several of the newly proposed RADIUS
"extensions" utilizing sub-attributes, or changes to the RADIUS attribute
format.

Should the RADIUS/Diameter gateway specification be updated to handle
those "extensions"?  If so, what restrictions need to be imposed to
maintain future compatibility?  If not, what prohibitions need to be put
in place against future changes to RADIUS?